## Index

### Type aliases

- BatchWriteItemOutputWithUnprocessedItems

### Functions

- batchWriteItemsWriteAll
- hasUnprocessedItems

## Type aliases

### BatchWriteItemOutputWithUnprocessedItems

BatchWriteItemOutputWithUnprocessedItems: BatchWriteItemOutput & object

- Defined in dynamo/batchwrite/batch-write-utils.ts:42

## Functions

### batchWriteItemsWriteAll

- batchWriteItemsWriteAll(dynamoRx: DynamoRx, params: BatchWriteItemInput, backoffTimer: IterableIterator<number>, throttleTimeSlot: number): Observable<BatchGetItemOutput>

- - Defined in dynamo/batchwrite/batch-write-utils.ts:14

  Function which executes batchWriteItem operations until all given items (as params) are processed (written). Between each follow-up request (in case of unprocessed items) a delay is interposed calculated by the given backoffTime and throttleTimeSlot.

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### params: BatchWriteItemInput

    containing the items per table to create the batchWrite operation

  - ##### backoffTimer: IterableIterator<number>

    used to determine how many time slots the follow-up request should be delayed

  - ##### throttleTimeSlot: number

    used to calculate the effective wait time

  #### Returns Observable<BatchGetItemOutput>

### hasUnprocessedItems

- hasUnprocessedItems(response: BatchWriteItemOutput): boolean

- - Defined in dynamo/batchwrite/batch-write-utils.ts:46

  #### Parameters

  - ##### response: BatchWriteItemOutput

  #### Returns boolean

Generated using TypeDoc